Bug 30691 - Openssh hangs on boot generating SSH2 key
Summary: Openssh hangs on boot generating SSH2 key
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssh   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-05 20:26 UTC by Alan Cox
Modified: 2007-04-18 16:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-12 00:08:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2001-03-05 20:26:02 UTC
Says it all really. I guess its waiting for randomness that simply wont
happen.

Comment 1 Tim Waugh 2001-03-06 15:12:15 UTC
What kind of machine is it?  I see something similar to this (DSA key takes a
long time to generate) only on a 486 I have; a Dell Precision 420 does it in no
time.  Although I don't know if I trust the entropy available at first boot. ;-)

Comment 2 Alan Cox 2001-03-06 15:14:40 UTC
233Mhz Cyrix

And if it really takes that long anyway then its still a bug. The key generation
needs to be done
in the background



Note You need to log in before you can comment on or make changes to this bug.